CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-3823

libcurl versions from 7.34.0 to before 7.64.0 are vulnerable to a heap out-of-bounds read in the code handling the end-of-response for SMTP. If the buffer passed to `smtp_endofresp()` isn't NUL terminated and contains no character ending the parsed number, and `len` is set to 5, then the `strtol()` call reads beyond the allocated buffer. The read contents will not be returned to the caller.
Publish Date : 2019-02-06 Last Update Date : 2019-07-23
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 125

- Products Affected By CVE-2019-3823

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 14.04 ~~lts~~~ Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 16.04 ~~lts~~~ Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 18.04 ~~lts~~~ Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 18.10 Version Details Vulnerabilities
5 OS Debian Debian Linux 9.0 Version Details Vulnerabilities
6 Application Haxx Libcurl 7.34.0 Version Details Vulnerabilities
7 Application Haxx Libcurl 7.35.0 Version Details Vulnerabilities
8 Application Haxx Libcurl 7.36.0 Version Details Vulnerabilities
9 Application Haxx Libcurl 7.37.0 Version Details Vulnerabilities
10 Application Haxx Libcurl 7.37.1 Version Details Vulnerabilities
11 Application Haxx Libcurl 7.38.0 Version Details Vulnerabilities
12 Application Haxx Libcurl 7.39 Version Details Vulnerabilities
13 Application Haxx Libcurl 7.39.0 Version Details Vulnerabilities
14 Application Haxx Libcurl 7.40.0 Version Details Vulnerabilities
15 Application Haxx Libcurl 7.41.0 Version Details Vulnerabilities
16 Application Haxx Libcurl 7.42 Version Details Vulnerabilities
17 Application Haxx Libcurl 7.42.0 Version Details Vulnerabilities
18 Application Haxx Libcurl 7.42.1 Version Details Vulnerabilities
19 Application Haxx Libcurl 7.43.0 Version Details Vulnerabilities
20 Application Haxx Libcurl 7.44.0 Version Details Vulnerabilities
21 Application Haxx Libcurl 7.45.0 Version Details Vulnerabilities
22 Application Haxx Libcurl 7.46.0 Version Details Vulnerabilities
23 Application Haxx Libcurl 7.47.0 Version Details Vulnerabilities
24 Application Haxx Libcurl 7.47.1 Version Details Vulnerabilities
25 Application Haxx Libcurl 7.48.0 Version Details Vulnerabilities
26 Application Haxx Libcurl 7.49.0 Version Details Vulnerabilities
27 Application Haxx Libcurl 7.49.1 Version Details Vulnerabilities
28 Application Haxx Libcurl 7.50.0 Version Details Vulnerabilities
29 Application Haxx Libcurl 7.50.1 Version Details Vulnerabilities
30 Application Haxx Libcurl 7.50.2 Version Details Vulnerabilities
31 Application Haxx Libcurl 7.50.3 Version Details Vulnerabilities
32 Application Haxx Libcurl 7.51.0 Version Details Vulnerabilities
33 Application Haxx Libcurl 7.52.0 Version Details Vulnerabilities
34 Application Haxx Libcurl 7.52.1 Version Details Vulnerabilities
35 Application Haxx Libcurl 7.53.0 Version Details Vulnerabilities
36 Application Haxx Libcurl 7.53.1 Version Details Vulnerabilities
37 Application Haxx Libcurl 7.54.0 Version Details Vulnerabilities
38 Application Haxx Libcurl 7.54.1 Version Details Vulnerabilities
39 Application Haxx Libcurl 7.55.0 Version Details Vulnerabilities
40 Application Haxx Libcurl 7.55.1 Version Details Vulnerabilities
41 Application Haxx Libcurl 7.56.0 Version Details Vulnerabilities
42 Application Haxx Libcurl 7.56.1 Version Details Vulnerabilities
43 Application Haxx Libcurl 7.57.0 Version Details Vulnerabilities
44 Application Haxx Libcurl 7.58.0 Version Details Vulnerabilities
45 Application Haxx Libcurl 7.59.0 Version Details Vulnerabilities
46 Application Haxx Libcurl 7.60.0 Version Details Vulnerabilities
47 Application Haxx Libcurl 7.61.0 Version Details Vulnerabilities
48 Application Haxx Libcurl 7.61.1 Version Details Vulnerabilities
49 Application Haxx Libcurl 7.62.0 Version Details Vulnerabilities
50 Application Haxx Libcurl 7.63.0 Version Details Vulnerabilities
51 OS Netapp Clustered Data Ontap Version Details Vulnerabilities
52 Application Oracle Communications Operations Monitor 3.4 Version Details Vulnerabilities
53 Application Oracle Communications Operations Monitor 4.0 Version Details Vulnerabilities
54 Application Oracle Http Server 12.2.1.3.0 Version Details Vulnerabilities
55 Application Oracle Secure Global Desktop 5.4 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Debian Debian Linux 1
Haxx Libcurl 45
Netapp Clustered Data Ontap 1
Oracle Communications Operations Monitor 2
Oracle Http Server 1
Oracle Secure Global Desktop 1

- References For CVE-2019-3823

https://www.debian.org/security/2019/dsa-4386
DEBIAN DSA-4386
https://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html
http://www.securityfocus.com/bid/106950
BID 106950 cURL/libcURL Multiple Buffer Overflow Vulnerabilities Release Date:2019-07-17
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-3823 CONFIRM
https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html
https://usn.ubuntu.com/3882-1/
UBUNTU USN-3882-1
https://security.netapp.com/advisory/ntap-20190315-0001/ CONFIRM
https://security.gentoo.org/glsa/201903-03
GENTOO GLSA-201903-03
https://lists.apache.org/thread.html/[email protected]%3Cdevnull.infra.apache.org%3E
MLIST [infra-devnull] 20190404 [GitHub] [incubator-openwhisk-runtime-ballerina] falkzoll commented on issue #15: Update to new base image jdk8u202-b08_openj9-0.12.1.
https://curl.haxx.se/docs/CVE-2019-3823.html

- Metasploit Modules Related To CVE-2019-3823

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.